html {
  font-family: Roboto, Source Sans Pro, Helvetica Neue, Arial, sans-serif;
  color: #333;
}

body {
  margin: 0;
}

article {
  padding: 0.5em;
}

h1 {
  font-size: 190%;
}

h2 {
  margin-top: 1.5em;
}

a {
  color: #e32e72;
}

.pub-info {
  color: #888;
}

.pub-info p {
  margin: 0.2em;
}

aside.call-to-actions {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
}

aside.call-to-actions > p {
  text-align: center;
  margin: 0.5em;
}

aside.call-to-actions > p a {
  display: block;
  text-decoration: none;
  border-radius: 2em;
  padding: 0.7em;
  border: 2px solid #eb81a9;
}

aside.call-to-actions.main > p a {
  color: white;
  background-color: #e1578b;
  border-color: #e1578b;
}

aside#sidebar {
  display:none;
}

aside#sidebar ul {
  -ms-overflow-style: none;
  scrollbar-width: none;
}

/* Hide scrollbar for Chrome, Safari and Opera */
aside#sidebar ul::-webkit-scrollbar {
  display: none;
}

aside#sidebar div.fixed{
  -ms-overflow-style: none;
  scrollbar-width: none;
}

/* Hide scrollbar for Chrome, Safari and Opera */
aside#sidebar div.fixed::-webkit-scrollbar {
  display: none;
}

aside#sidebar > .fixed {
  position: fixed;
  overflow-y: scroll;
  top: 0;
  bottom: 0;
  width: 100%;
  background-color: white;
}


aside#sidebar ul {
  padding: 0px;
  margin: 0px;
  overflow-x: scroll;
}

aside#sidebar ul li {
  list-style-type: none;

}

nav > ul > li:first-child > a {
  font-weight: bold;
}

aside#sidebar ul li a {
  display: block;
  padding: 0.4em;
  text-decoration: none;
}

aside#sidebar ul li a:hover {
  background-color: #FFF2FA;
}

figure {
  text-align: center;
  margin: 1em 0em;
}

figure img {
  max-width: 100%;
  max-height: 30em;
}

code {
  background-color: #F2F2F2;
  padding: 0.1em 0.3em;
}

.container p, .container ul, .container ol {
  text-align: justify;
  hyphens: auto;
}

.about {
  display: flex;
  color: #555;
}

.about > * {
  margin: 0.5em;
}

.about p {
  margin-top: 0em;
  margin-bottom: 0.2em;
}

.about img {
  width: 3em;
  height: 3em;
}

.about .portrait {
  border-radius: 2em;
}

#menu-button {
  position:fixed;
  display: flex;
  align-items: center;
  justify-content: center;
	width:60px;
	height:60px;
	bottom:1em;
  right:1em;
  font-size: x-large;
	background-color:#e32e72;
	color:#FFF;
	border-radius:50px;
  text-align:center;
	box-shadow: 2px 2px 3px #999;
}

#menu-button img {
  width: 50%;
  height: 50%;
}

#menu-button span {
  margin-top:22px;
  display: inline-block;
}

/* #menu-button {
  position: fixed;
  bottom: 2vh;
  right: 2vh;
  background-color: white;
  border: 1px solid #e32e72;
  font-size: x-large;
  width: 1em;
  height: 1em;
  border-radius: 50%;
  padding: 0.4em;
}

#menu-button span {
  position: relative;
  top: -0.1em;
  right: -0.05em;
} */

#menu-button span::before {
  content:'\2630';
}

@media (min-width: 60em) {

  html {
    font-size: large;
  }

  #menu-button {
    display: none;
  }

  .container {
    display: flex;
    flex-direction: row-reverse;
    max-width: 60em;
    margin: auto;
  }
  
  .container article {
    flex-basis: 30em;
    flex-grow: 1;
    flex-shrink: 1;
    margin: 1em;
  }

  aside#sidebar {
    display: block;
    flex-basis: 13em;
    flex-grow: 1;
    flex-shrink: 1;
    font-size: medium;
  }

  aside#sidebar > .fixed {
    position: fixed;
    overflow-y: scroll;
    top: 3em;
    bottom: 0;
    width: auto;
  }
}
